;; -*-emacs-lisp-*-
;;
;; $Id: emacsen-startup,v 1.1 2001/07/07 18:45:39 walters Exp $
;;
;; Emacs startup file for the Debian GNU/Linux calc package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The calc package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(setq load-path (cons (concat "/usr/share/"
                              (symbol-name flavor)
			      "/site-lisp/calc") load-path))


(autoload 'calc-dispatch	   "calc/calc" "Calculator Options" t)
(autoload 'full-calc		   "calc/calc" "Full-screen Calculator" t)
(autoload 'full-calc-keypad	   "calc/calc" "Full-screen X Calculator" t)
(autoload 'calc-eval		   "calc/calc" "Use Calculator from Lisp")
(autoload 'defmath		   "calc/calc" nil t t)
(autoload 'calc			   "calc/calc" "Calculator Mode" t)
(autoload 'quick-calc		   "calc/calc" "Quick Calculator" t)
(autoload 'calc-keypad		   "calc/calc" "X windows Calculator" t)
(autoload 'calc-embedded	   "calc/calc" "Use Calc inside any buffer" t)
(autoload 'calc-embedded-activate  "calc/calc" "Activate =>'s in buffer" t)
(autoload 'calc-grab-region	   "calc/calc" "Grab region of Calc data" t)
(autoload 'calc-grab-rectangle	   "calc/calc" "Grab rectangle of data" t)
(global-set-key "\e#" 'calc-dispatch)
